Description

Simplify NodeInterface and create sub-interface PersistedNodeInterface.
Node templates implement the base NodeInterface and are not yet stored in the node repository.

Associated revisions
Revision 528a372e - 2013-01-30 18:56 - Bastian Waidelich

[TASK] Rename NodeInterface to PersistentNodeInterface

See Id1e7b624ece93106ec028eda432fd3e323b86bff for the related
changeset.

Change-Id: I39ccb11e918b06b36ee0df4845c50e86b3868a83
Related: #44917

Revision e6290640 - 2013-02-25 16:10 - Bastian Waidelich

[!!!][FEATURE] Support for transient nodes

Introduces a new transient node type "NodeTemplate".
Both Node and NodeTemplate implement the (simplified) interface NodeInterface.
Node additionally implement the interface PersistedNodeInterface that contains
stubs related to persistence and context.

Besides this adds TypeConverters for both, persisted nodes and node templates.

This is a breaking change if you referred to NodeInterface in your code. In this case
you should replace the reference with PersistentNodeInterface – unless you only
invoke methods defined in the NodeInterface.

Change-Id: Id1e7b624ece93106ec028eda432fd3e323b86bff
Resolves: #44917
Resolves: #44918

Revision a68ab165 - 2013-02-25 19:26 - Bastian Waidelich

[TASK] Rename NodeInterface to PersistentNodeInterface

See Id1e7b624ece93106ec028eda432fd3e323b86bff for the related
changeset.
Besides this deprecates the NodeObjectConverter. If you use that in your
code, you should instead use the NodeTypeConverter from the TYPO3.TYPO3CR
package.

Change-Id: Ib798ee4312050f63362a0dfdd473a021e53ef105
Related: #44917

Revision b64d8a7e - 2013-02-26 13:37 - Adrian Föder

[BUGFIX] Correct node name pattern constant lookup

With Id1e7b624ece93106ec028eda432fd3e323b86bff the
constant ``MATCH_PATTERN_NAME`` has been moved from
``TYPO3\TYPO3CR\Domain\Model\NodeInterface`` to
``...PersistentNodeInterface`` which is herewith
updated in the ``NodeNameValidator``, too.

Change-Id: I0e964bb8b387c90f9501c4ef5cf67bd678b09718
Related: #44917

Revision 873ac606 - 2013-03-26 10:51 - Karsten Dambekalns

[TASK] Move MATCH_PATTERN_NAME (back) to NodeInterface

In change Id1e7b624ece93106ec028eda432fd3e323b86bff that pattern was
moved to the PersistentNodeInterface, but NodeInterface instances still
have a name, thus the pattern should stay in NodeInterface.

This changes moves it back and adds checks against the pattern in the
setName() methods of Node and NodeTemplate.

Change-Id: Ic2e21de032def00c9248222cd0daa819b665ba28
Related: #44917

Revision 4125f153 - 2013-03-26 10:53 - Karsten Dambekalns

[TASK] Adjust NodeInterface::MATCH_PATTERN_NAME location

The adjusts the NodeNameValidator to the changed location of the name
pattern (as of Ic2e21de032def00c9248222cd0daa819b665ba28).

Change-Id: I351100accdc1e28270114c7c3960eb7984b4baa2
Related: #44917

History
#1 - 2013-01-29 15:22 - Bastian Waidelich
- Status changed from New to Accepted

#2 - 2013-01-29 18:01 - Bastian Waidelich
- Subject changed from Add support for transient nodes:
Split NodeInterface up into PersistedNodeInterface and TransientNodeInterface to Add support for transient nodes:Split NodeInterface up into 
PersistedNodeInterface and TransientNodeInterface

#3 - 2013-01-30 18:44 - Bastian Waidelich
- Subject changed from Add support for transient nodes:Split NodeInterface up into PersistedNodeInterface and TransientNodeInterface to Add 
support for node templates

#4 - 2013-01-30 18:47 - Bastian Waidelich
- Subject changed from Add support for node templates to Add support for transient nodes

#5 - 2013-01-30 18:52 - Gerrit Code Review

Patch set 1 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17865

#6 - 2013-02-25 16:11 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at https://review.typo3.org/17865

#7 - 2013-02-25 19:35 - Bastian Waidelich
- Status changed from Accepted to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:e629064007577d67beba8bcba26463da810d7511.
